/*Sign up End styles */
body {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    color: var(--dark-purple);
    background-color: var(--body-back-color);
}

:root{
    --dark-purple:#31178f;
    --soft-purple:#7226b0;
    --back-color-main:#ffffff;
    --body-back-color:rgb(248, 246, 254);
    --main-text:black;
    --light-color:white;
    --secondary-text:#777;
}
h2, label {
    font-weight: normal;
}

/* Container styles */
.container {
    display: flex;
    width: 100%;
    height: 100vh;
}

/* Left container styles */
.left-container {
    background-image: url(css-images/bg-illustrate-2.png);
    background-size: cover;
    flex: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--back-color-main);
    border-right: 3px solid var(--dark-purple);
}

.logo {
    max-width: 60%;
    height: auto;
}
h2{
    font-weight: 600;
    text-align: center;
}
.logos {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 0px;
}

.logo-left{
    width: 100px;
    height: auto;
}

/* Right container styles */
.right-container {
    flex: 2;
    padding: 40px;
    background-color: var(--body-back-color);
    display: flex;
    flex-direction: column;
    align-items: center;
}

.signup-title ,.university-info-title{
    margin-bottom: 20px;
    font-size: 28px;
}

.signup-form {
    width: 100%;
    max-width: 800px;
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.personal-info, .university-info {
    display: flex;
    flex-wrap: wrap;
    gap: 15px;
}

.personal-info .input-group, .university-info .input-group {
    flex: 1;
    min-width: calc(35% - 15px);
}

.input-group {
    display: flex;
    flex-direction: column;
    margin: 0 20px;
}

.input-group label {
    margin-bottom: 5px;
    font-size: 14px;
    color: var(--dark-purple);
}

.personal-info input, .university-info input {
    padding: 10px;
    border: 1px solid var(--dark-purple);
    border-radius: 10px;
    background-color: var(--back-color-main);
    font-size: 16px;
}

.signup-form input[type="text"] ,
.signup-form input[type="date"] {
    width: 100%;
}

.signup-form input[type="text"]:focus,
.signup-form input[type="date"]:focus {
    background-color: transparent;
    box-shadow: 0px 0px 3px 1px var(--dark-purple);
    outline: none;
}
/* Custom select container */
.custom-select {
    position: relative;
    display: inline-block;
    width: 105%;
}

/* Selected item styling */
.select-selected {
    background-color: var(--back-color-main);
    border: 1px solid var(--dark-purple);
    border-radius: 10px;
    padding: 8px;
    font-size: 16px;
    color: var(--main-text);
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
}

/* Arrow styling */
.select-arrow {
    margin-left: 10px;
    margin-bottom: -5px;
    
}

.select-arrow ion-icon {
    font-size: 18px;
}

/* Dropdown item styling */
.select-items {
    position: absolute;
    background-color: var(--back-color-main);
    border: 1px solid var(--dark-purple);
    border-radius: 5px;
    z-index: 99;
    top: 100%;
    left: 0;
    right: 0;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.2);
}

.select-items div {
    padding: 5px;
    font-size: 16px;
    color: var(--main-text);
    cursor: pointer;
}

.select-items div:hover {
    background-color: var(--soft-purple);
    color: var(--light-color);
}

.select-hide {
    display: none;
}
.select-arrow.rotate {
    transform: rotate(180deg);
}

.btn-div {
    display: flex;
    justify-content: center;
    margin-top: 20px;
}

.button {
    padding: 12px 15px !important;
    border-radius: 10px;
    background-color: var(--dark-purple);
    color: var(--light-color);
    border: none;
    cursor: pointer;
}

.button:hover {
    background-color: var(--soft-purple);
}
@media (width:1024px){
    .container{
        display: block;
    }
}

@media (max-width: 992px) {
    .container {
        display: block;
    }
    .left-container {
        border-right: none;
        border-bottom: 3px solid var(--dark-purple);
    }
    
}

@media (max-width: 768px) {
    .personal-info .input-group, .university-info .input-group {
        min-width: 40%;
    }
}
